@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,600;0,800;1,400&family=Poppins:wght@300;400;500;600;700&display=swap');

body {
    font-family: 'Poppins', sans-serif;
}

::-webkit-scrollbar {
    width: 8px;
}
::-webkit-scrollbar-track {
    background: #18110e;
}
::-webkit-scrollbar-thumb {
    background: #4746459a;
    border-radius: 4px;
}
::-webkit-scrollbar-thumb:hover {
    background: #9b1b6c;
}

.reveal {
    opacity: 0;
    transition: all 0.8s cubic-bezier(0.4, 0, 0.2, 1);
    will-change: transform, opacity;
}
.reveal-up { 
    transform: translateY(35px); 
}

.active-reveal {
    opacity: 1 !important;
    transform: translateY(0) scale(1) !important;
}

.typing-cursor::after {
    content: '|';
    animation: blink 1s infinite;
}

@keyframes blink {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
}